/*
 * Nextcloud Talk application
 *
 * @author Mario Danic
 * @author Tim Krüger
 * Copyright (C) 2022 Tim Krüger <t@timkrueger.me>
 * Copyright (C) 2017 Mario Danic
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.nextcloud.talk.utils.bundle

object BundleKeys {
    const val KEY_SELECTED_USERS = "KEY_SELECTED_USERS"
    const val KEY_SELECTED_GROUPS = "KEY_SELECTED_GROUPS"
    const val KEY_SELECTED_CIRCLES = "KEY_SELECTED_CIRCLES"
    const val KEY_SELECTED_EMAILS = "KEY_SELECTED_EMAILS"
    const val KEY_USERNAME = "KEY_USERNAME"
    const val KEY_TOKEN = "KEY_TOKEN"
    const val KEY_BASE_URL = "KEY_BASE_URL"
    const val KEY_IS_ACCOUNT_IMPORT = "KEY_IS_ACCOUNT_IMPORT"
    const val KEY_ORIGINAL_PROTOCOL = "KEY_ORIGINAL_PROTOCOL"
    const val KEY_ROOM = "KEY_CONVERSATION"
    const val KEY_OPERATION_CODE = "KEY_OPERATION_CODE"
    const val KEY_SHARE_INTENT = "KEY_SHARE_INTENT"
    const val KEY_APP_ITEM_PACKAGE_NAME = "KEY_APP_ITEM_PACKAGE_NAME"
    const val KEY_APP_ITEM_NAME = "KEY_APP_ITEM_NAME"
    const val KEY_CONVERSATION_PASSWORD = "KEY_CONVERSATION_PASSWORD"
    const val KEY_ROOM_TOKEN = "KEY_ROOM_TOKEN"
    const val KEY_ROOM_ONE_TO_ONE = "KEY_ROOM_ONE_TO_ONE"
    const val KEY_USER_ENTITY = "KEY_USER_ENTITY"
    const val KEY_NEW_CONVERSATION = "KEY_NEW_CONVERSATION"
    const val KEY_ADD_PARTICIPANTS = "KEY_ADD_PARTICIPANTS"
    const val KEY_EXISTING_PARTICIPANTS = "KEY_EXISTING_PARTICIPANTS"
    const val KEY_CALL_URL = "KEY_CALL_URL"
    const val KEY_MODIFIED_BASE_URL = "KEY_MODIFIED_BASE_URL"
    const val KEY_NOTIFICATION_SUBJECT = "KEY_NOTIFICATION_SUBJECT"
    const val KEY_NOTIFICATION_SIGNATURE = "KEY_NOTIFICATION_SIGNATURE"
    const val KEY_INTERNAL_USER_ID = "KEY_INTERNAL_USER_ID"
    const val KEY_CONVERSATION_TYPE = "KEY_CONVERSATION_TYPE"
    const val KEY_INVITED_PARTICIPANTS = "KEY_INVITED_PARTICIPANTS"
    const val KEY_INVITED_CIRCLE = "KEY_INVITED_CIRCLE"
    const val KEY_INVITED_GROUP = "KEY_INVITED_GROUP"
    const val KEY_INVITED_EMAIL = "KEY_INVITED_EMAIL"
    const val KEY_CONVERSATION_NAME = "KEY_CONVERSATION_NAME"
    const val KEY_RECORDING_STATE = "KEY_RECORDING_STATE"
    const val KEY_CALL_VOICE_ONLY = "KEY_CALL_VOICE_ONLY"
    const val KEY_CALL_WITHOUT_NOTIFICATION = "KEY_CALL_WITHOUT_NOTIFICATION"
    const val KEY_ACTIVE_CONVERSATION = "KEY_ACTIVE_CONVERSATION"
    const val KEY_SERVER_CAPABILITIES = "KEY_SERVER_CAPABILITIES"
    const val KEY_FROM_NOTIFICATION_START_CALL = "KEY_FROM_NOTIFICATION_START_CALL"
    const val KEY_ROOM_ID = "KEY_ROOM_ID"
    const val KEY_ARE_CALL_SOUNDS = "KEY_ARE_CALL_SOUNDS"
    const val KEY_FILE_PATHS = "KEY_FILE_PATHS"
    const val KEY_ACCOUNT = "KEY_ACCOUNT"
    const val KEY_FILE_ID = "KEY_FILE_ID"
    const val KEY_NOTIFICATION_ID = "KEY_NOTIFICATION_ID"
    const val KEY_NOTIFICATION_TIMESTAMP = "KEY_NOTIFICATION_TIMESTAMP"
    const val KEY_SHARED_TEXT = "KEY_SHARED_TEXT"
    const val KEY_GEOCODING_QUERY = "KEY_GEOCODING_QUERY"
    const val KEY_META_DATA = "KEY_META_DATA"
    const val KEY_FORWARD_MSG_FLAG = "KEY_FORWARD_MSG_FLAG"
    const val KEY_FORWARD_MSG_TEXT = "KEY_FORWARD_MSG_TEXT"
    const val KEY_FORWARD_HIDE_SOURCE_ROOM = "KEY_FORWARD_HIDE_SOURCE_ROOM"
    const val KEY_SYSTEM_NOTIFICATION_ID = "KEY_SYSTEM_NOTIFICATION_ID"
    const val KEY_MESSAGE_ID = "KEY_MESSAGE_ID"
    const val KEY_MIME_TYPE_FILTER = "KEY_MIME_TYPE_FILTER"
    const val KEY_PARTICIPANT_PERMISSION_CAN_PUBLISH_AUDIO = "KEY_PARTICIPANT_PERMISSION_CAN_PUBLISH_AUDIO"
    const val KEY_PARTICIPANT_PERMISSION_CAN_PUBLISH_VIDEO = "KEY_PARTICIPANT_PERMISSION_CAN_PUBLISH_VIDEO"
    const val KEY_IS_MODERATOR = "KEY_IS_MODERATOR"
    const val KEY_SWITCH_TO_ROOM = "KEY_SWITCH_TO_ROOM"
    const val KEY_START_CALL_AFTER_ROOM_SWITCH = "KEY_START_CALL_AFTER_ROOM_SWITCH"
    const val KEY_IS_BREAKOUT_ROOM = "KEY_IS_BREAKOUT_ROOM"
    const val KEY_NOTIFICATION_RESTRICT_DELETION = "KEY_NOTIFICATION_RESTRICT_DELETION"
    const val KEY_DISMISS_RECORDING_URL = "KEY_DISMISS_RECORDING_URL"
    const val KEY_SHARE_RECORDING_TO_CHAT_URL = "KEY_SHARE_RECORDING_TO_CHAT_URL"
    const val KEY_GEOCODING_RESULT = "KEY_GEOCODING_RESULT"
    const val ADD_ACCOUNT = "ADD_ACCOUNT" // temp workaround until conductor is removed
}
